Linux 3.1 çekirdeği, artık AMD, Intel ve Nvidia GPU'lar için daha iyi desteğe sahip

Linus Torvalds Anunció Kullanılabilirliği Linux 3.1 (Mantıksal olarak çekirdeği kastediyorum) ve bu güçlü bir nokta olarak AMD, Intel ve Nvidia GPU'ları için desteğin yanı sıra OpenRISC mimarisi (AMD dediğimde açıkça Ati'ye atıfta bulunuyoruz).

Ancak sadece bu değil, bu sürümde ayrıca Nintendo Wii, böylece biliyorsunuz ... Wii'nize Linux kurmak ve kurmak istediğiniz her şeye, şunları yapabilirsiniz 🙂

Açıklamasında, Linux v3.2 için temellerin zaten oluşturulmuş olduğundan bahsediyor, çünkü normalde garip sürümler (3.1, 2.3, 2.7, vb.) Geliştirme sürümleri, yani bir sonraki sürüm için çalışacak sürümler ( çift ​​sayı ile) tek sürümde eklenen yeniyi geliştirdi.

Ancak hehe, bu dağıtımları korkutmuş gibi göstermeyecek ve kararlılık kazanmak için bu sürümü (3.1) içermeyecek ve bu nedenle sürüm 3.2'ye kadar bekleyecek, aslında ... Bahse girerim ki yarın ArchLinux'da zaten mevcut. a "pacman -Syu" ve hazır, Linux Kernel v3.1 kurulu 😀

Muhtemelen Fedora 16, önümüzdeki ay piyasaya sürülmesi gereken, çekirdeğin bu sürümünü içeriyor, ama hey ... her dağıtımın kendine özgü özellikleri var, bu dünyanın en güzel yanı bu 😀

Neyse, güncellemeleri bekleyin 😉


Makalenin içeriği şu ilkelerimize uygundur editoryal etik. Bir hata bildirmek için tıklayın burada.

32 yorum, sizinkini bırakın

Yorumunuzu bırakın

E-posta hesabınız yayınlanmayacak.

*

*

  1. Verilerden sorumlu: Miguel Ángel Gatón
  2. Verilerin amacı: Kontrol SPAM, yorum yönetimi.
  3. Meşruiyet: Onayınız
  4. Verilerin iletilmesi: Veriler, yasal zorunluluk dışında üçüncü kişilere iletilmeyecektir.
  5. Veri depolama: Occentus Networks (AB) tarafından barındırılan veritabanı
  6. Haklar: Bilgilerinizi istediğiniz zaman sınırlayabilir, kurtarabilir ve silebilirsiniz.

  1.   cesaret dijo

    Elav'a alev arzusu veriyorsun haha.

    Bir oyuncu olmasam da ilginç bulduğum Wii

    1.    KZKG ^ Gaara <° Linux dijo

      Hayır HAHA, ondan uzakta bir alev savaşına başlamakla ilgili değil, pekala şöyle bir şey söyleyebilirdi «Evet, kernelin en son sürümüne sahip olacaksınız, ancak X sorununuz olabilir«, Ya da onun gibi bir şey hehe.

      1.    cesaret dijo

        çift ​​sürümde eklenen yeniyi geliştirdi.

        Garip olmadığına emin misin?

        1.    KZKG ^ Gaara <° Linux dijo

          SOL hazır, bunu ve sahip olduğum bir yazım hatasını düzelttim 😉

  2.   fer dijo

    Nvidia'nın "optimus" teknolojisi ile ilgili sorunları çözecek misiniz?

    1.    KZKG ^ Gaara <° Linux dijo

      Üzgünüm, bunu bilmiyorum ... genellikle "iyileştirmeyi destekle" dedikleri zaman sürücülerde yaptıkları yamaları, düzeltilen hataları, belki performans iyileştirmelerini kastediyorlar, ama bilmiyorum ... bunu denemeli ve mevcut sorunlarınızın çözülüp çözülmediğini görmelisiniz.
      Üzgünüm, size daha fazla yardımcı olamam.

  3.   Onlar Bağlantı dijo

    NVIDIA için yeni iyileştirmelerin nasıl yapıldığını görelim.
    Wii'ye gelince, bir tane olsaydı, Arch'ı LXDE ile kurardı.
    Pacman -Syu'ya gelince, buna ihtiyacım yok, bu yüzden [spam] pacsyu'm [/ spam] var: 3

    1.    KZKG ^ Gaara <° Linux dijo

      Öncelikle sitemize HOŞ GELDİNİZ 😀
      Bir takma ad değil mi? haha, kullanırdım Pacmansearch paragraf pacman-ssya da yükseltmek paragraf pacman -Syu, Zaten her şeyi takma adlar olmadan yazıyorum, bilmiyorum ... tembellik onları yeniden yapılandırmak için HAHA.

      selamlar

      1.    cesaret dijo

        21 yıl tembel mi? Lanet olsun, seni birkaç yaş büyük görmek zorundayız haha.

        Bu takma ad bana biraz korra gibi görünüyor

      2.    Onlar Bağlantı dijo

        Hangi takma adlar veya hangi süt?
        Spam ile suçlanmaktan kaçınmak için, Arch Hispanic Community Forumlarını veya AUR'u kontrol edin.

  4.   pepe dijo

    Bakalım bu sürümle zaten yükleyebiliyor muyum, 2.6 ile başlamam gerekiyor

    1.    KZKG ^ Gaara <° Linux dijo

      2.6'dan beri? Kahretsin!!! Umarım bu konuda şanslısındır ...

      Bu arada, bloga hoş geldiniz 😉

  5.   pepe dijo

    teşekkürler, harika bir iş çıkardın.

    Eh, lmde'nin son sürümü ile gelen, çekirdek güncelleme paketi 3 başarısız oluyor.

    1.    KZKG ^ Gaara <° Linux dijo

      Teşekkürler, elinden geleni yap 🙂
      LMDE hakkında en deneyimli ya da bilgili değilim, ama sanırım… Depolarında zaten çekirdek 3.0 var.

      1.    pepe dijo

        Ve önyükleme yapmıyor 😀

    2.    elav <° Linux dijo

      LMDE'nin en son sürümünü güncellemek için hangi havuzları kullandınız? Çünkü benim için sorunsuz çalıştı LMDE depoları ve Debian Testing'inkilerle.

      1.    pepe dijo

        Şunlar.
        Çekirdeğin, asılı kaldığı andan itibaren anladığım kadarıyla kumlu köprülerle bazı uyumsuzlukları var.

        En azından, bir öncekini kullanarak iyiyim, askıya alma / hazırda bekletme, dokunmatik yüzeyi yapılandırmanın hiçbir yolu ve daha fazlası yoktur.

  6.   Eğitim2 dijo

    Alçakgönüllü ve spam yapmak istemedi, çünkü konuşan uygulamanın yaratıcısı ya da en azından benzer bir takma ada sahip.

    Spam, can sıkıcı veya trolleme umurumda değil.

    http://www.archlinux-es.org/foros/viewtopic.php?f=9&t=4617

    1.    KZKG ^ Gaara <° Linux dijo

      Ah, peki o zaman özür dilerim, bu uygulamayı bilmiyordum ^ _ ^ U

  7.   Eğitim2 dijo

    Bu arada Son Link, proje nasıl gidiyor? Bir pacman -Syy ve -Su veya -Syu'nun nah için uğraşmadığını söylememe rağmen, görmek için rapor verin, ancak ilginç görünüyor.

    1.    Onlar Bağlantı dijo

      Benzeri değil, BEN BENİM.
      Proje, forumda söylendiği gibi devam ediyor, ancak bu günlerde başka konular için biraz ayırdım.
      Blogumda (takma isme tıklayın) tüm bilgiler de var. Mütevazı olursam, XD'ye spam göndermek için bir blogun yorumlarını kullanmaya kendini adamış kişilerden değilim

      1.    KZKG ^ Gaara <° Linux dijo

        Arkadaşım kimse SPAM yaptığını söylemedi 😉
        tarafından Eğitim2 y cesaret endişelenme ... onlara fazla dikkat etme, onlar resmi olarak HAHAHA sitemizdeki troller, bu yüzden onlara aldırma tamam mı?

        Her neyse, sizi burada ağırlamak gerçekten büyük bir zevk, ilginizi çekecek makaleler koymaya çalışacağız çünkü her okuyucu önemlidir ve bizim için önemlidir 😉

        Selamlar ve okuruz.

  8.   Eğitim2 dijo

    Bu arada, destekle ilgili iyi haberler eh ama bazı sürüm notları koymak harika olurdu, bu cesur, dokunuşunu kaybediyor.

    1.    KZKG ^ Gaara <° Linux dijo

      Vay canına, haklısın ... Büyük çoğunluğun anlamayacağı teknik detayları açıklamayı unuttum ... hayır gerçekten, bağlantıyı bir değişiklik günlüğüne koymalıydım, burada bırakıyorum: http://kernelnewbies.org/Linux_3.1 İngilizce bildiğinizi varsayıyorum, aksi takdirde bu web sitesi size çok yardımcı olacaktır: http://translate.google.com/
      😉

      HAHA cidden, troller, ısıtıcılar, kullanıcılar vb. İle ne kadar uğraştığıma dair ne kadar tecrübeli olduğunuzu bilmiyorsunuz. Hehe.

      1.    cesaret dijo

        Google çevirmeninin daha fazla yanlış yönlendirdiğini düşünüyorum:

        http://www.guitarristas.info/foros/james-hetfield-nueva-signature-set-emg/150570#post1046206

        Haha, McAnime'ın moderatörü olmak haha ​​seninle uğraşmaz, böylece herkes trollerle baş edebilir

        1.    KZKG ^ Gaara <° Linux dijo

          HEH evet, MCAnime'da moderatör olduğunuzu hayal edin, ancak Anime ile ilgili tüm forumlarda, kaç trol ve ısıtıcıya katlanmak zorunda olduğum hakkında bir fikriniz var mı? LOL !!!

          Bu konuyla yüksek lisans yaptım 😀

  9.   Eğitim2 dijo

    Eh, en ilginç olanı bu 2 küçük şey cpupowerutils ve OpenRISC, ama sanırım yine de aptalların anlayamayacağı bir şey, teknik detaylar konusunda haklısınız 😀

    Bu arada kullanım http://translate.google.com/ (İngilizce biliyorsanız, kullanmayın) ve dedikleri gibi iyi yapılmış bu incelemeye bakın 😀 https://www.linux.com/learn/tutorials/498187-a-look-at-linux-31

  10.   Onüç dijo

    Kişisel deneyimlerime göre, grafik kartları (ve bu arada Wi-Fi) söz konusu olduğunda, Linux'ta (çeşitli dağıtımlarda ve kurulum sonrası ayarlar olmadan) en iyi şekilde çalışan Intel bana görünüyor. Sebep açık: sürücüler yıllardır ücretsiz.

    Ancak Nvidia desteğinin daha iyi hale geldiğini bilmek güzel (Ati gibi).

    Ve önceden açıklığa kavuşturmak için Intel grafik yongalarının daha iyi olduğunu söylemiyorum, sadece Linux'ta test ettiğim birkaç dağıtımda temiz bir kurulumdan daha iyi çalıştıklarını söylemiyorum.

    Selamlar.

    1.    KZKG ^ Gaara <° Linux dijo

      Dizüstü bilgisayarım Intel grafikleri, 945, yani 128MB yerleşik video var ve asla… tekrar ediyorum, tek bir sorun yaşamadım ve o zamandan beri Ubuntu 7.10 veya daha önce GNU / Linux kullanıyorum. Birkaç dağıtımı denedim ve şu anda grafik beni hiçbir zaman bundan çok uzak tutmadı.

      Bununla birlikte, evde Ati Radeon 9250'li bir bilgisayarım var ve ... onu oldukça iyi çalıştırması imkansız, özel sürücüler bile yüklemiyorum.

      Ama bu değil, Nvidia iyi çalışıyor, Linux'u iki arkadaşımın bilgisayarına kurdum ve Nvidia grafiklerine sahipler, ne kadar iyi çalışıyorlar, sadece sürücüleri depodan kuruyorlar.

      Her neyse, bu Ati (AMD) uyumluluğu geliştirmek için daha çok çalışmalı, değil mi?

      1.    Onüç dijo

        Demek istediğim tam olarak bu ve dolayısıyla kontrolörlerin ücretsiz olabilmesinin avantajları.

        Selamlar.

  11.   Eski dost dijo

    Loading Linux 3.1.5
    error: invalid magic number
    Loading initial ramdisk ...
    error: you need to load the kernel first.

    Press any key to continue ...

    make[1]: se ingresa al directorio `/usr/src/zaptel-1.4.12.1'
    make -C /lib/modules/2.6.32-5-486/build ARCH=i386 SUBDIRS=/usr/src/zaptel-1.4.12.1/kernel HOTPLUG_FIRMWARE=yes KBUILD_OBJ_M="pciradio.o tor2.o torisa.o wcfxo.o wct1xxp.o wctdm.o wcte11xp.o wcusb.o zaptel.o ztd-eth.o ztd-loc.o ztdummy.o ztdynamic.o zttranscode.o wct4xxp/ wctc4xxp/ xpp/ wctdm24xxp/ wcte12xp/" modules
    make[2]: se ingresa al directorio `/usr/src/linux-headers-2.6.32-5-486'
    CC [M] /usr/src/zaptel-1.4.12.1/kernel/pciradio.o
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c: In function ‘pciradio_start_dma’:
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c:1701: error: implicit declaration of function ‘set_current_state’
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c:1701: error: ‘TASK_INTERRUPTIBLE’ undeclared (first use in this function)
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c:1701: error: (Each undeclared identifier is reported only once
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c:1701: error: for each function it appears in.)
    /usr/src/zaptel-1.4.12.1/kernel/pciradio.c:1702: error: implicit declaration of function ‘schedule_timeout’
    make[5]: *** [/usr/src/zaptel-1.4.12.1/kernel/pciradio.o] Error 1
    make[4]: *** [_module_/usr/src/zaptel-1.4.12.1/kernel] Error 2
    make[3]: *** [sub-make] Error 2
    make[2]: *** [all] Error 2
    make[2]: se sale del directorio `/usr/src/linux-headers-2.6.32-5-486'
    make[1]: *** [modules] Error 2
    make[1]: se sale del directorio `/usr/src/zaptel-1.4.12.1'
    make: *** [all] Error 2

    grub.cfg

    if [ -s $prefix/grubenv ]; then
    load_env
    fi
    set default="0"
    if [ "${prev_saved_entry}" ]; then
    set saved_entry="${prev_saved_entry}"
    save_env saved_entry
    set prev_saved_entry=
    save_env prev_saved_entry
    set boot_once=true
    fi

    function savedefault {
    if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
    fi
    }

    function load_video {
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
    }

    insmod part_msdos
    insmod ext2
    set root='(hd0,msdos1)'
    search --no-floppy --fs-uuid --set 3878592c-fd5d-44d2-8cdb-577de20dbf6b
    if loadfont /usr/share/grub/unicode.pf2 ; then
    set gfxmode=640x480
    load_video
    insmod gfxterm
    fi
    terminal_output gfxterm
    insmod part_msdos
    insmod ext2
    set root='(hd0,msdos1)'
    search --no-floppy --fs-uuid --set 3878592c-fd5d-44d2-8cdb-577de20dbf6b
    set locale_dir=($root)/boot/grub/locale
    set lang=es
    insmod gettext
    set timeout=5
    ### END /etc/grub.d/00_header ###

    ### BEGIN /etc/grub.d/05_debian_theme ###
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
    ### END /etc/grub.d/05_debian_theme ###

    ### BEGIN /etc/grub.d/10_linux ###
    menuentry 'Debian GNU/Linux, with Linux 3.1.5' --class debian --class gnu-linux --class gnu --class os {
    insmod part_msdos
    insmod ext2
    set root='(hd0,msdos1)'
    search --no-floppy --fs-uuid --set 3878592c-fd5d-44d2-8cdb-577de20dbf6b
    echo 'Loading Linux 3.1.5 ...'
    linux /boot/vmlinux-3.1.5 root=UUID=3878592c-fd5d-44d2-8cdb-577de20dbf6b ro quiet
    echo 'Loading initial ramdisk ...'
    initrd /boot/initrd.img-3.1.5
    }

    00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
    00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
    00:06.0 System peripheral: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface (rev 02)
    00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
    00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
    00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
    00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
    00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
    00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
    00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
    00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
    00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
    00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
    00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
    01:00.0 Network controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN interface
    01:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

    1.    KZKG ^ Gaara <"Linux dijo

      Merhaba ve hoşgeldin,
      Hangi dağıtımı kullanıyorsunuz? … 3.1.5 sürümünü nasıl yüklediniz?
      Ben (Arch kullanan) sadece 3.1.3'e sahibim.

      selamlar

bool(doğru)